import { CiUploadProps } from '../type';
export declare function useCiUploadComputed(props: CiUploadProps, slots: any, defaultBeforeUpload: any): {
    hasRealDefaultSlot: import('vue').ComputedRef<any>;
    finalBeforeUpload: import('vue').ComputedRef<any>;
    maxSizeInMB: import('vue').ComputedRef<string>;
    defaultTipSlotTextInfo: import('vue').ComputedRef<string>;
    otherSlots: import('vue').ComputedRef<string[]>;
};
